# Settings

## Get

> Retrieves the Tenant Broker Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/TenantBrokerSettings":{"get":{"tags":["2-Site settings//Tenant Broker Settings"],"summary":"Get","description":"Retrieves the Tenant Broker Settings.","operationId":"0ca8f6f3-2a3e-48ef-b2a7-1d4de46ab1db","responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/TenantBrokerSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"TenantBrokerSettings":{"type":"object","properties":{"brokerAddress":{"type":"string","description":"<para type=\"description\">Address to be used when registering a tenant, when the OverrideAddress is set.</para>","nullable":true},"hideBillingInfo":{"type":"boolean","description":"<para type=\"description\">When set, billing information is not provided in the Licensing category of the Tenant.</para>"},"overrideAddress":{"type":"boolean","description":"<para type=\"description\">Override Tenant Broker address in tenant invitations and secret keys.</para>"},"tenantBrokerSecretKey":{"type":"string","description":"<para type=\"description\">Tenant broker secret key which is to be used for tenants to automatically register themselves.</para>","nullable":true},"tenantDomain":{"type":"string","description":"<para type=\"description\">Public domain address used to register the tenants. If you want to register tenants as subdomains, specify the domain part of the host name. For example, to use \"subdomain.domain.com\" as a tenant hosts name, specify \"domain.com\".</para>","nullable":true},"allowRegistrationWithSecretKey":{"type":"boolean","description":"<para type=\"description\">Allow RAS Sites to register in Tenant Broker using a secret key.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Tenant Broker</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify the Tenant Broker Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/TenantBrokerSettings":{"put":{"tags":["2-Site settings//Tenant Broker Settings"],"summary":"Update","description":"Modify the Tenant Broker Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.","operationId":"2e9927aa-129a-4cef-af95-8214fa6e7c6d","parameters":[{"name":"siteId","in":"query","description":"Site Id","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Tenant Broker Settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetTenantBrokerSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetTenantBrokerSettings":{"type":"object","properties":{"brokerAddress":{"type":"string","description":"<para type=\"description\">IP Address to be used when registering a tenant, when the OverrideAddress is set.</para>","nullable":true},"hideBillingInfo":{"type":"boolean","description":"<para type=\"description\">When set, billing information is not provided in the Licensing category of Tenants joined with secret keys.</para>","nullable":true},"overrideAddress":{"type":"boolean","description":"<para type=\"description\">Override Tenant Broker address in tenant invitations and secret keys.</para>","nullable":true},"tenantDomain":{"type":"string","description":"<para type=\"description\">Public domain address used to register the tenants. If you want to register tenants as subdomains, specify the domain part of the host name. For example, to use \"subdomain.domain.com\" as a tenant hosts name, specify \"domain.com\".</para>","nullable":true},"allowRegistrationWithSecretKey":{"type":"boolean","description":"<para type=\"description\">Allow RAS Sites to register in Tenant Broker using a secret key.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Updates the Tenant Broker settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Generate Hash

> Updates the specified site's default tenant broker settings with a new secret hash key.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/TenantBrokerSettings/GenerateHash":{"post":{"tags":["2-Site settings//Tenant Broker Settings"],"summary":"Generate Hash","description":"Updates the specified site's default tenant broker settings with a new secret hash key.","operationId":"97c8eac2-b2a4-4cfd-b9ab-8555987f52ea","parameters":[{"name":"SiteId","in":"query","description":"Site Id","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/tenant-broker/settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
